Name:		kaffeine
Version:	2.0.15
Release:	%mkrel 1
Summary:	Media Player for Plasma 5
Group:		Graphical desktop/KDE
License:	GPLv2+
Url:		https://www.kde.org/applications/multimedia/kaffeine/
Source0:	http://download.kde.org/stable/kaffeine/%{name}-%{version}.tar.xz
Patch0:		kaffeine-2.0.15-fix-build-against-qt-5.11.0.patch
BuildRequires:	pkgconfig(libdvbv5)
BuildRequires:	pkgconfig(libvlc)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xscrnsaver)

BuildRequires:	kf5-macros
BuildRequires:	%{_lib}kcoreaddons-devel
BuildRequires:	%{_lib}kf5dbusaddons-devel
BuildRequires:	%{_lib}kdoctools-devel
BuildRequires:	%{_lib}kf5i18n-devel
BuildRequires:	%{_lib}kf5iconthemes-devel
BuildRequires:	%{_lib}kf5idletime-devel
BuildRequires:	%{_lib}kio-devel
BuildRequires:	%{_lib}kf5notifications-devel
BuildRequires:	%{_lib}kf5solid-devel
BuildRequires:	%{_lib}kf5widgetsaddons-devel
BuildRequires:	%{_lib}kf5xmlgui-devel

BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Sql)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(phonon4qt5)

Requires:	qt5-database-plugin-sqlite
Requires:	vlc-plugin-common
Recommends:	%{name}-handbook

%description
Kaffeine is a Plasma 5 Multi Engine Media Player.
What makes it different from the others is its excellent support of
digital TV (DVB). Kaffeine has user-friendly interface, so that even
first time users can start immediately playing their movies: from DVD
(including DVD menus, titles, chapters, etc.), VCD, or a file.

%files -f %{name}.lang
%{_kf5_bindir}/kaffeine
%{_kf5_datadir}/%{name}/
%{_kf5_datadir}/profiles/%{name}.profile.xml
%{_kf5_datadir}/solid/actions/*.desktop
%{_kf5_iconsdir}/*/*/*/*
%{_kf5_applicationsdir}/org.kde.%{name}.desktop
/usr/share/metainfo/org.kde.%{name}.appdata.xml
%{_kf5_mandir}/man1/%{name}.1.*

#--------------------------------------------------------------------

%package	handbook
Summary:	Kaffeine Handbook
Group:		Documentation
BuildArch:	noarch
Requires:	%{name} >= %{version}-%{release}

%description	handbook
This package provides Kaffeine handbook.

%files handbook
%{_kf5_docdir}/HTML/*/kaffeine/

#--------------------------------------------------------------------

%prep
%setup -q
%apply_patches

# Doesn't build
rm -r po/pt_BR/docs

%build
%cmake_kf5

%make_build

%install
%make_install -C build

%find_lang %{name} --with-man


%changelog
* Sat Jan 05 2019 adrianomorselli <adrianomorselli> 2.0.15-1uplos2019
- update
